
\name{x02aj}
\alias{x02aj}

\title{x02aj: The machine precision}

\description{
x02aj returns \eqn{{\epsilon}}{\epsilon}, the value machine precision.

}

\usage{
x02aj()
}


\details{
R interface to the NAG Fortran routine X02AJF.}

\value{

x02aj returns \eqn{{\epsilon}}{\epsilon}, the value machine precision.
}

\references{
\url{http://www.nag.co.uk/numeric/FL/nagdoc_fl23/pdf/X02/x02ajf.pdf}
}

\author{NAG}

\examples{
x02aj()[["result"]]
}

\keyword{math}
\concept{machine precision}
