
#include <R.h>
#include <Rinternals.h>
#include "nag_rwrapper_utils.h"
#include "nagmk23.h"
#ifdef __cplusplus
extern "C" {
#endif

#ifdef __cplusplus
}
#endif

/* Length of array to hold error messages, no checks are made to ensure this is large enough */
#define LEN_ERR_MSG 100

SEXP WX02AJF()
{
  Integer IFAIL_integer;
  SEXP    ans, names;

  /* Call the NAG routine */
  IFAIL_integer = 1;
  double  result;
  result = x02ajf_();

/* Get the list of results */
  PROTECT(ans = allocVector(VECSXP, 1));
  SET_VECTOR_ELT(ans, 0, nag_d2r(1, &result));
  /* Get names for the list of results */
  PROTECT(names = allocVector(STRSXP, 1));
  SET_STRING_ELT(names, 0, mkChar("result"));
  setAttrib(ans, R_NamesSymbol, names);
/* Unprotect the ans and names objects */
  UNPROTECT(2);

  return(ans);
}

